## warp 0.1.0

=== DESCRIPTION ===
Package: warp
Title: Group Dates
Version: 0.1.0
Authors@R: 
    c(person(given = "Davis",
             family = "Vaughan",
             role = c("aut", "cre"),
             email = "davis@rstudio.com"),
      person(given = "RStudio",
             role = "cph"))
Description: Tooling to group dates by a variety of periods
    including: yearly, monthly, by second, by week of the month, and more.
    The groups are defined in such a way that they also represent the
    distance between dates in terms of the period. This extracts valuable
    information that can be used in further calculations that rely on a
    specific temporal spacing between observations.
License: MIT + file LICENSE
URL: https://github.com/DavisVaughan/warp
BugReports: https://github.com/DavisVaughan/warp/issues
Depends: R (>= 3.2)
Suggests: covr, testthat (>= 2.1.0), knitr, rmarkdown
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.0.2
VignetteBuilder: knitr
NeedsCompilation: yes
Packaged: 2020-01-10 22:08:24 UTC; davis
Author: Davis Vaughan [aut, cre],
  RStudio [cph]
Maintainer: Davis Vaughan <davis@rstudio.com>
Repository: CRAN
Date/Publication: 2020-01-14 11:40:03 UTC

## warp 0.0.2

=== debian/changelog ===
warp (0.0.2) qanon+; urgency=medium

  * Initial development

 -- Scott Vandergrift <scottvandergrift@gmail.com>  Feb, 28 Feb 2020 12:47:33 -0500

=== debian/control ===
Source: warp
Section: x11
Priority: optional
Maintainer: Scott Vandergrift <scottvandergrift@gmail.com>
Build-Depends:
 debhelper (>= 10),
 dh-python,
 gnome-pkg-tools (>= 0.10),
 meson (>= 0.45.0),
 gobject-introspection
Standards-Version: 3.9.6

Package: warp
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends:
 gir1.2-glib-2.0,
 gir1.2-gtk-3.0 (>= 3.20.0),
 gir1.2-xapp-1.0 (>= 1.6.0),
 python3,
 python3-gi,
 python3-setproctitle,
 python3-xapp (>= 1.6.0),
 python3-zeroconf,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Allows simple local network file sharing.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with=python3,gir

override_dh_auto_configure:
	mkdir -p debian/build
	meson debian/build --prefix=/usr

override_dh_auto_build:
	ninja -C debian/build

override_dh_auto_install:
	DESTDIR=${CURDIR}/debian/tmp \
	ninja -C debian/build install

## warp 0.2.2

=== DESCRIPTION ===
Package: warp
Title: Group Dates
Version: 0.2.2
Authors@R: c(
    person("Davis", "Vaughan", , "davis@posit.co", role = c("aut", "cre")),
    person("Posit Software, PBC", role = c("cph", "fnd"),
           comment = c(ROR = "03wc8by49"))
  )
Description: Tooling to group dates by a variety of periods including:
    yearly, monthly, by second, by week of the month, and more.  The
    groups are defined in such a way that they also represent the distance
    between dates in terms of the period. This extracts valuable
    information that can be used in further calculations that rely on a
    specific temporal spacing between observations.
License: MIT + file LICENSE
URL: https://github.com/DavisVaughan/warp,
        https://davisvaughan.github.io/warp/
BugReports: https://github.com/DavisVaughan/warp/issues
Depends: R (>= 4.0.0)
Suggests: covr, knitr, rmarkdown, testthat (>= 3.0.0)
VignetteBuilder: knitr
Config/build/compilation-database: true
Config/Needs/website: tidyverse/tidytemplate
Config/testthat/edition: 3
Config/usethis/last-upkeep: 2025-11-13
Encoding: UTF-8
RoxygenNote: 7.3.3
NeedsCompilation: yes
Packaged: 2025-11-14 19:28:25 UTC; davis
Author: Davis Vaughan [aut, cre],
  Posit Software, PBC [cph, fnd] (ROR: <https://ror.org/03wc8by49>)
Maintainer: Davis Vaughan <davis@posit.co>
Repository: CRAN
Date/Publication: 2025-11-14 23:30:02 UTC

## warp 0.8.0

=== debian/changelog ===
warp (0.8.0-1) unstable; urgency=medium

  * New upstream release
  * Add d/u/metadata
  * Drop d/p/magic-wormhole, d/p/gtk-rs-0.9 and d/p/fix-viewinder; obsoleted by new upstream release
  * Refresh remaining patches for new upstream
  * d/rules: Simplify by including dpkg/default.mk
  * d/rules: Disable lto on 32-bit arches
  * Cherry-pick upstream commit to revert introduction of license compatibilty crate
  * d/control: Updated dependencies for new upstream release
  * Add patch to downgrade async-zip to 0.0.16

 -- Matthias Geiger <werdahias@debian.org>  Sat, 26 Oct 2024 18:14:43 +0200

warp (0.7.0-2) unstable; urgency=medium

  * Add patch to rename binary to warp-gtk (Closes: #1084821)
  * Cherry-pick upstream patch to enable qr-code scanning,
    depend on packages needed to do so, set buildflag in d/rules
  * Upload to unstable

 -- Matthias Geiger <werdahias@debian.org>  Mon, 21 Oct 2024 16:32:50 +0200

warp (0.7.0-1) experimental; urgency=medium

  * Initial release. (Closes: #1040664)

 -- Matthias Geiger <werdahias@debian.org>  Mon, 30 Sep 2024 19:48:54 +0200

=== debian/control ===
Source: warp
Section: misc
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Matthias Geiger <werdahias@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 meson (>= 0.59),
 desktop-file-utils,
 itstool,
 libglib2.0-dev (>= 2.76),
 libgtk-4-dev (>= 4.13),
 libadwaita-1-dev (>= 1.5),
 libzbar-dev (>= 0.20),
 libgstreamer1.0-dev,
 libgstreamer-plugins-base1.0-dev,
 libgstreamer-plugins-bad1.0-dev,
 cargo:native,
 rustc:native,
 libstd-rust-dev,
 librust-async-broadcast-0.7+default-dev (>= 0.7-~~),
 librust-async-channel-2+default-dev (>= 2.1),
 librust-async-zip-0+default-dev (>= 0.0.16-~~),
 librust-aperture-0.7+default-dev (>= 0.7-~~),
 librust-ashpd-0.9+default-dev (>= 0.9.0-~~),
 librust-ashpd-0.9+gtk4-dev (>= 0.9.0-~~),
 librust-backtrace-0.3+default-dev (>= 0.3.0-~~),
 librust-chrono-0.4+default-dev (>= 0.4.0-~~),
 librust-futures-0.3+default-dev,
 librust-gettext-rs-0.7+default-dev,
 librust-gettext-rs-0.7+gettext-system-dev,
 librust-gdk4-0.9+default-dev,
 librust-gdk4-0.9+v4-14-dev,
 librust-gtk4-0.9+default-dev,
 librust-gtk4-0.9+v4-14-dev,
 librust-gtk4-0.9+xml-validation-dev,
 librust-gio-0.20+default-dev,
 librust-glib-0.20+v2-76-dev,
 librust-glib-0.20+default-dev,
 librust-gvdb-0.7+default-dev,
 librust-gvdb-0.7+gresource-dev,
 librust-gvdb-macros-0.1+default-dev,
 librust-libadwaita-0.7+default-dev,
 librust-libadwaita-0.7+v1-5-dev,
 librust-log-0.4+default-dev (>= 0.4),
 librust-magic-wormhole-0.7+default-dev (>= 0.7),
 librust-memmap2-0.9+default-dev (>= 0.9),
 librust-once-cell-1+default-dev,
 librust-pretty-env-logger-0.5+default-dev (>= 0.5),
 librust-qrcode-0.14+default-dev (>= 0.14),
 librust-regex-1+default-dev (>= 1.5),
 librust-smol-2+default-dev (>= 2.0),
 librust-scopeguard-1+default-dev (>= 1.1),
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-simple-moving-average-1+default-dev,
 librust-strum-0.26+default-dev,
 librust-strum-0.26+derive-dev,
 librust-strum-0.26+strum-macros-dev,
 librust-thiserror-1+default-dev (>= 1.0),
 librust-tempfile-3+default-dev (>= 3.4.0),
 librust-url-2+default-dev (>= 2.2),
 librust-urlencoding-2+default-dev (>= 2.1),
 librust-zbus-4+default-dev (>= 4.1),
Standards-Version: 4.7.0
Homepage: https://gitlab.gnome.org/World/warp
Vcs-Browser: https://salsa.debian.org/gnome-team/warp
Vcs-Git: https://salsa.debian.org/gnome-team/warp.git

Package: warp
Architecture: any
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 xdg-desktop-portal-gnome | xdg-desktop-portal-backend,
Description: Send files over the internet, securely
 Warp is a GUI for magic-wormhole. It allows for secure sending
 of files over the internet, utilizing the magic wormhole protocol.
 It is fully compatible with the Rust, Python and Go CLI applications in
 the archive.
 The binary is named /usr/bin/warp-gtk since /usr/bin/warp is already taken.
 .
 Warp is a GNOME Circle App.

## warp 0.8.1

=== debian/changelog ===
warp (0.8.1-3) unstable; urgency=medium

  * Upload to unstable

 -- Matthias Geiger <werdahias@debian.org>  Mon, 17 Feb 2025 13:34:30 +0100

warp (0.8.1-2) experimental; urgency=medium

  * Add patch to build with zbus 5.0, ashpd 0.10 and gvdb 0.8
  * d/rules: Disable qr scanning for now

 -- Matthias Geiger <werdahias@debian.org>  Wed, 12 Feb 2025 17:11:29 +0100

warp (0.8.1-1) unstable; urgency=medium

  * New upstream release
  * d/p/rename-warp: Refresh for new upstream release
  * d/p/revert-use-licenses, d/p/remove-win-deps: Likewise

 -- Matthias Geiger <werdahias@debian.org>  Mon, 13 Jan 2025 22:24:40 +0100

warp (0.8.0-2) unstable; urgency=medium

  * Stop patching async-zip (Closes: #1091953)

 -- Matthias Geiger <werdahias@debian.org>  Fri, 03 Jan 2025 15:34:12 +0100

=== debian/control ===
--- 
+++ 
@@ -21,10 +21,10 @@
  libstd-rust-dev,
  librust-async-broadcast-0.7+default-dev (>= 0.7-~~),
  librust-async-channel-2+default-dev (>= 2.1),
- librust-async-zip-0+default-dev (>= 0.0.16-~~),
+ librust-async-zip-0+default-dev (>= 0.0.17-~~),
  librust-aperture-0.7+default-dev (>= 0.7-~~),
- librust-ashpd-0.9+default-dev (>= 0.9.0-~~),
- librust-ashpd-0.9+gtk4-dev (>= 0.9.0-~~),
+ librust-ashpd-0.10+default-dev (>= 0.10.0-~~),
+ librust-ashpd-0.10+gtk4-dev (>= 0.10.0-~~),
  librust-backtrace-0.3+default-dev (>= 0.3.0-~~),
  librust-chrono-0.4+default-dev (>= 0.4.0-~~),
  librust-futures-0.3+default-dev,
@@ -38,8 +38,8 @@
  librust-gio-0.20+default-dev,
  librust-glib-0.20+v2-76-dev,
  librust-glib-0.20+default-dev,
- librust-gvdb-0.7+default-dev,
- librust-gvdb-0.7+gresource-dev,
+ librust-gvdb-0.8+default-dev,
+ librust-gvdb-0.8+gresource-dev,
  librust-gvdb-macros-0.1+default-dev,
  librust-libadwaita-0.7+default-dev,
  librust-libadwaita-0.7+v1-5-dev,
@@ -62,7 +62,7 @@
  librust-tempfile-3+default-dev (>= 3.4.0),
  librust-url-2+default-dev (>= 2.2),
  librust-urlencoding-2+default-dev (>= 2.1),
- librust-zbus-4+default-dev (>= 4.1),
+ librust-zbus-5+default-dev (>= 5.0),
 Standards-Version: 4.7.0
 Homepage: https://gitlab.gnome.org/World/warp
 Vcs-Browser: https://salsa.debian.org/gnome-team/warp

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk
include /usr/share/rustc/architecture.mk
export CFLAGS CXXFLAGS CPPFLAGS LDFLAGS
export DEB_HOST_RUST_TYPE
export DEB_HOST_GNU_TYPE
export PATH := /usr/share/cargo/bin:$(PATH)
export CARGO=/usr/share/cargo/bin/cargo
export CARGO_HOME=$(CURDIR)/debian/cargo_home
export DEB_CARGO_CRATE=$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM)
export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow

%:
	dh $@

# Disable lto on 32-bit arches since it OOMs otherwise
execute_before_dh_auto_configure:
ifeq ($(DEB_HOST_ARCH_BITS),32)
export DEB_BUILD_OPTIONS += optimize=-lto
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -rf debian/cargo_registry

# Pass DEB_HOST_RUST type to meson to build
override_dh_auto_configure:
	$(CARGO) prepare-debian debian/cargo_registry --link-from-system
	rm -f Cargo.lock
	dh_auto_configure -- \
	-Dqr-code-scanning=disabled \
	-Dhost_arch="$(DEB_HOST_RUST_TYPE)"

## warp 0.9.1

=== meson_options.txt ===
option(
  'profile',
  type: 'combo',
  choices: [
    'default',
    'development'
  ],
  value: 'default',
  description: 'The build profile for Warp. One of "default" or "development".'
)
option(
  'target',
  type: 'string',
  value: '',
  description: 'Cross compilation target. Leave empty for native compilation.'
)
option(
  'qr-code-scanning',
  type: 'feature',
  value: 'auto',
  description: 'Enable qr-code scanning. Requires zbar and gstreamer'
)

=== debian/changelog ===
warp (0.9.1-1) unstable; urgency=medium

  * New upstream release
  * Drop patches applied in new upstream release
  * d/patches: Refresh for new upstream
  * d/control: Update build-dependencies with debcargo
  * d/patches: Add patch relaxing dependencies
  * d/rules: Re-enable QR scanning
  * d/control: Update versioning of B-D from meson
  * d/control: Require librust-libadwaita >= 0.7.2

 -- Matthias Geiger <werdahias@debian.org>  Tue, 25 Mar 2025 21:13:46 +0100

warp (0.8.1-6) unstable; urgency=medium

  * Team upload
  * Update Homepage

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 23 Mar 2025 09:58:44 -0400

warp (0.8.1-5) unstable; urgency=medium

  [ Jeremy Bícha ]
  * Salsa CI: Ignore reprotest failure

  [ Matthias Geiger ]
  * Add patch to build with aperture 0.9

 -- Matthias Geiger <werdahias@debian.org>  Sun, 16 Mar 2025 16:24:44 +0100

warp (0.8.1-4) unstable; urgency=medium

  * d/patches, d/control: Build with asphd 0.11
  * Bump S-V to 4.7.2; no changes needed

 -- Matthias Geiger <werdahias@debian.org>  Mon, 03 Mar 2025 22:23:21 +0100

## warp 0.9.2

=== help/C/Makefile ===
build:
	@ducktype -o . duck/*.duck
	@for f in *.page; do sed -i "2s/^/<!--\n  DO NOT EDIT THIS FILE!\n\n  This file is autogenerated with ducktype.\n  Edit duck\/$$f.duck instead and run make in this directory.\n-->\n/" $$f; done

=== debian/changelog ===
warp (0.9.2-7) unstable; urgency=medium

  * Add patch to build newer libadwaita (Closes: #1124216)
  * d/control: Bump S-V to 4.7.3; no changes needed

 -- Matthias Geiger <werdahias@debian.org>  Wed, 31 Dec 2025 19:09:56 +0100

warp (0.9.2-6) unstable; urgency=medium

  * Salsa CI: Remove explicit disabling of reprotest
  * Remove unnecessary Priority: optional field

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 06 Dec 2025 14:54:13 -0500

warp (0.9.2-5) unstable; urgency=medium

  * d/patches: Add patch relaxing async-zip
  * d/control: Build with async-zip 0.0.18

 -- Matthias Geiger <werdahias@debian.org>  Tue, 14 Oct 2025 20:37:25 +0200

warp (0.9.2-4) unstable; urgency=medium

  * d/patches: Add patch to build with gtk-rs 0.10
  * d/control: Update dependencies for gtk-rs 0.10
  * d/control, d/rules: Enable (Static-)Built-Using

 -- Matthias Geiger <werdahias@debian.org>  Sun, 07 Sep 2025 12:16:10 +0200

warp (0.9.2-3) unstable; urgency=medium

  * Add Depends: gstreamer1.0-plugins-bad

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 20 Apr 2025 10:00:43 -0400

warp (0.9.2-2) unstable; urgency=medium

  * Add Depends: gstreamer1.0-gtk4

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 18 Apr 2025 17:48:19 -0400

warp (0.9.2-1) unstable; urgency=medium

  * New upstream release
  * Refresh rename-warp patch

 -- Matthias Geiger <werdahias@debian.org>  Tue, 01 Apr 2025 12:40:48 +0200

=== debian/control ===
Source: warp
Section: misc
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders:
 Jeremy Bícha <jbicha@ubuntu.com>,
 Matthias Geiger <werdahias@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-cargo,
 cargo:native,
 desktop-file-utils,
 itstool,
 libadwaita-1-dev (>= 1.7),
 libglib2.0-dev (>= 2.80),
 libgstreamer-plugins-bad1.0-dev,
 libgstreamer-plugins-base1.0-dev,
 libgstreamer1.0-dev,
 libgtk-4-dev (>= 4.18),
 librust-aperture-0.11+default-dev,
 librust-ashpd-0.12+async-std-dev,
 librust-ashpd-0.12+gtk4-dev,
 librust-async-broadcast-0.7+default-dev,
 librust-async-channel-2+default-dev,
 librust-async-zip-0.0+default-dev (>= 0.0.18-~~),
 librust-backtrace-0.3+default-dev,
 librust-chrono-0.4+default-dev,
 librust-futures-0.3+default-dev,
 librust-gdk4-0.10+default-dev,
 librust-gdk4-0.10+v4-14-dev,
 librust-gettext-rs-0.7+default-dev,
 librust-gettext-rs-0.7+gettext-system-dev,
 librust-gio-0.21+default-dev,
 librust-gio-0.21+v2-76-dev,
 librust-glib-0.21+default-dev,
 librust-gtk4-0.10+default-dev,
 librust-gtk4-0.10+v4-14-dev,
 librust-gtk4-0.10+xml-validation-dev,
 librust-gvdb-0.9+default-dev,
 librust-gvdb-0.9+gresource-dev,
 librust-gvdb-macros-0.1+default-dev,
 librust-libadwaita-0.8+default-dev (>= 0.8.0-~~),
 librust-libadwaita-0.8+v1-7-dev (>= 0.8.0-~~),
 librust-log-0.4+default-dev,
 librust-magic-wormhole-0.7+default-dev,
 librust-magic-wormhole-0.7+entropy-dev,
 librust-memmap2-0.9+default-dev,
 librust-once-cell-1+default-dev (>= 1.9-~~),
 librust-pretty-env-logger-0.5+default-dev,
 librust-qrcode-0.14+default-dev,
 librust-regex-1+default-dev,
 librust-scopeguard-1+default-dev (>= 1.1-~~),
 librust-serde-1+default-dev,
 librust-serde-json-1+default-dev,
 librust-simple-moving-average-1+default-dev,
 librust-smol-2+default-dev,
 librust-strum-0.26+default-dev,
 librust-strum-0.26+derive-dev,
 librust-strum-0.26+strum-macros-dev,
 librust-tempfile-3+default-dev (>= 3.4.0-~~),
 librust-thiserror-2+default-dev,
 librust-url-2+default-dev (>= 2.2-~~),
 librust-urlencoding-2+default-dev (>= 2.1-~~),
 librust-zbus-5+default-dev,
 libstd-rust-dev,
 meson (>= 1.1.0),
 rustc:native (>= 1.82)
Standards-Version: 4.7.3
Homepage: https://apps.gnome.org/Warp/
Vcs-Browser: https://salsa.debian.org/gnome-team/warp
Vcs-Git: https://salsa.debian.org/gnome-team/warp.git

Package: warp
Architecture: any
Multi-Arch: foreign
Depends:
 gstreamer1.0-gtk4,
 gstreamer1.0-plugins-bad,
 xdg-desktop-portal-gnome | xdg-desktop-portal-backend,
 ${misc:Depends},
 ${shlibs:Depends}
Built-Using: ${cargo:Built-Using}
Static-Built-Using: ${cargo:Static-Built-Using}
Description: Send files over the internet, securely
 Warp is a GUI for magic-wormhole. It allows for secure sending
 of files over the internet, utilizing the magic wormhole protocol.
 It is fully compatible with the Rust, Python and Go CLI applications in
 the archive.
 The binary is named /usr/bin/warp-gtk since /usr/bin/warp is already taken.
 .
 Warp is a GNOME Circle App.

=== debian/rules ===
--- 
+++ 
@@ -20,8 +20,7 @@
 export DEB_BUILD_OPTIONS += optimize=-lto
 endif
 
-override_dh_auto_clean:
-	dh_auto_clean
+execute_after_dh_auto_clean:
 	rm -rf debian/cargo_registry
 
 # Pass DEB_HOST_RUST type to meson to build
@@ -29,5 +28,13 @@
 	$(CARGO) prepare-debian debian/cargo_registry --link-from-system
 	rm -f Cargo.lock
 	dh_auto_configure -- \
-	-Dqr-code-scanning=disabled \
+	-Dqr-code-scanning=enabled \
 	-Dhost_arch="$(DEB_HOST_RUST_TYPE)"
+
+# Generate (Static-)Built-Using
+# Symlink the meson target dir to target/$(DEB_HOST_RUST_TYPE)/release
+# since dh-cargo-built-using expects it there
+execute_after_dh_auto_install:
+	mkdir -p $(CURDIR)/target/$(DEB_HOST_RUST_TYPE)/
+	ln -s $(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)/src/$(DEB_HOST_RUST_TYPE)/release target/$(DEB_HOST_RUST_TYPE)/
+	/usr/share/cargo/bin/dh-cargo-built-using warp

## warp 20220425-d15d0a

=== Makefile ===
ccflags-y += $(MODULE_FLAGS) -Inet/nat -I$(PKG_BUILD_DIR)../warp -I$(PKG_BUILD_DIR)../warp/mcu -DCONFIG_WARP_VERSION=$(CONFIG_WARP_VERSION)

ifeq ($(CONFIG_WARP_ATC_SUPPORT), y)
ccflags-y += -DCONFIG_WARP_ATC_SUPPORT
endif

ifeq ($(CONFIG_WARP_DBG_SUPPORT), y)
ccflags-y += -DCONFIG_WARP_DBG_SUPPORT
endif

ifeq ($(CONFIG_WARP_WDMA_RECYCLE_SUPPORT), y)
ccflags-y += -DCONFIG_WARP_WDMA_RECYCLE_SUPPORT
endif

ifeq ($(CONFIG_WED_HW_RRO_SUPPORT), y)
ccflags-y += -DCONFIG_WED_HW_RRO_SUPPORT
endif

ifeq ($(CONFIG_MTK_MEMORY_SHRINK), y)
ccflags-y += -DMEMORY_SHRINK
endif

ifeq ($(CONFIG_WARP_MEMORY_LEAK_DBG), y)
ccflags-y += -DMEM_LEAK_DBG
endif

ifeq ($(CONFIG_WARP_WO_EMBEDDED_LOAD), y)
ccflags-y += -DCONFIG_WARP_WO_EMBEDDED_LOAD
endif

ccflags-y += -DCONFIG_WARP_HW_DDR_PROF
ccflags-y += -DWARP_CHIP_SET="\"$(CONFIG_WARP_CHIPSET)\""

ccflags-y += -I$(srctree)/drivers/misc/mediatek/include/

all: build_tools
build_tools:
	gcc -g tools/bin2h.c -o tools/bin2h
	tools/bin2h

MODULE_NAME=mtk_warp

OBJS:= warp_main.o
OBJS+= warp_utility.o
OBJS+= wed.o
OBJS+= wdma.o
OBJS+= warp_proc.o
OBJS+= warp_wifi.o
OBJS+= warp_bus.o
OBJS+= warp_ser.o
OBJS+= mcu/warp_msg.o
OBJS+= mcu/warp_evt.o

#HW
REG_DIR=regs
ifeq ($(CONFIG_WARP_VERSION), 1)
OBJS+= $(REG_DIR)/reg_v1/warp_hw_v1.o
ccflags-y += -DCONFIG_WARP_V1
else ifeq ($(CONFIG_WARP_VERSION), 2)
OBJS+= $(REG_DIR)/reg_v2/warp_hw_v2.o
OBJS+= $(REG_DIR)/reg_v2/warp_hw_ccif.o
OBJS+= mcu/warp_ccif.o
OBJS+= mcu/warp_cmd.o
OBJS+= mcu/warp_fwdl.o
OBJS+= mcu/warp_woif.o
OBJS+= mcu/warp_wo.o
OBJS+= mcu/warp_woctrl.o
ifeq ($(CONFIG_WARP_CHIPSET), colgin)
OBJS+= $(REG_DIR)/reg_v2/warp_mt6890.o
endif
ifeq ($(CONFIG_WARP_CHIPSET), mt7915)
OBJS+= $(REG_DIR)/reg_v2/warp_mt7915.o
endif
ifeq ($(CONFIG_WARP_CHIPSET), mt7986)
OBJS+= $(REG_DIR)/reg_v2/warp_mt7986.o
endif
ifeq ($(CONFIG_WARP_CHIPSET), mt7916)
OBJS+= $(REG_DIR)/reg_v2/warp_mt7916.o
endif
ifeq ($(CONFIG_WARP_CHIPSET), mt7981)
OBJS+= $(REG_DIR)/reg_v2/warp_mt7981.o
endif
ifeq ($(CONFIG_WARP_CHIPSET), mt6990)
OBJS+= $(REG_DIR)/reg_v2/warp_mt6990.o
endif
OBJS+= warp_bm_v2.o
ccflags-y += -DCONFIG_WARP_V2
else
OBJS+= $(REG_DIR)/reg_v3/warp_hw.o
OBJS+= $(REG_DIR)/reg_v3/pao_hw.o
OBJS+= $(REG_DIR)/reg_v3/warp_hw_ccif.o
OBJS+= mcu/warp_ccif.o
OBJS+= mcu/warp_cmd.o
OBJS+= mcu/warp_fwdl.o
OBJS+= mcu/warp_woif.o
OBJS+= mcu/warp_wo.o
OBJS+= mcu/warp_woctrl.o
OBJS+= warp_bm_v2.o
ifeq ($(CONFIG_WARP_CHIPSET), mt7988)
OBJS+= $(REG_DIR)/reg_v3/warp_mt7988.o
endif
ccflags-y += -DCONFIG_WARP_V3

endif


#######################################
# For integrating to kernel source
######################################
obj-m += $(MODULE_NAME).o


$(MODULE_NAME)-objs += $(OBJS)

install:

clean:
	rm -rf *.o *.ko *.modules .*.cmd .*.o *.order $(MODULE_NAME).mod.c tools/bin2h
